﻿using System;
using System.Globalization;
using System.Threading;
using System.Windows;
using Infragistics.Windows.Editors;

namespace XamDateTimeEditorWithCommands
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            var newCulture = new CultureInfo("de-CH");
            Thread.CurrentThread.CurrentCulture = newCulture;

            InitializeComponent();
            var dateStyle = new Style(typeof(XamDateTimeEditor));
            dateStyle.Setters.Add(new Setter(XamDateTimeEditor.FormatProperty, null));
            dateStyle.Setters.Add(new Setter(XamDateTimeEditor.FormatProviderProperty, CultureInfo.CurrentCulture));
            dateStyle.Setters.Add(new Setter(XamDateTimeEditor.ValueTypeProperty, typeof(DateTime)));
            _dateEditor.Style = dateStyle;

            var dvm = new DateViewModel();
            this.DataContext = dvm;
        }
    }
}
